package experiments.e2dc2013.recs.plugins.energy;

import schedframe.Parameters;
import schedframe.resources.computing.ComputingResource;
import schedframe.resources.computing.profiles.energy.ResourceEvent;
import schedframe.scheduling.manager.tasks.JobRegistry;

public class AtomD510CpuEEP extends RecsCpuBaseEEP {
	
	public double estimateTemperature(ResourceEvent event, JobRegistry jobRegistry, ComputingResource resource) {
		return cpuTypeConstant + inletTemperature + 200;
	}
	
	public void init(Parameters parameters) {
		cpuTypeConstant = 10;
		inletTemperature = 20;
	}
}
